DROP DATABASE IF EXISTS preduzece;
CREATE DATABASE  IF NOT EXISTS `preduzece` /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_slovenian_ci */;
USE `preduzece`;


DROP TABLE IF EXISTS `odjel`;

CREATE TABLE `odjel` (
  `sifodj` int(11) NOT NULL,
  `imeodj` varchar(45) COLLATE utf8_slovenian_ci NOT NULL,
  `lok` varchar(45) COLLATE utf8_slovenian_ci DEFAULT NULL,
  PRIMARY KEY (`sifodj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci;


LOCK TABLES `odjel` WRITE;
INSERT INTO `odjel` VALUES (10,'Racunovodstvo','Miljanova 23'),(20,'Istraživanje','Njegoševa 11'),(30,'Prodaja','Centar 5'),(40,'Poslovodstvo','Masline 18');
UNLOCK TABLES;

DROP TABLE IF EXISTS `projekat`;

CREATE TABLE `projekat` (
  `sifpro` int(11) NOT NULL,
  `naziv` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `budzet` int NOT NULL,
  PRIMARY KEY (`sifpro`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci;


LOCK TABLES `projekat` WRITE;
INSERT INTO `projekat` VALUES (1,'IT u Crnoj Gori',123008),(2,'Baze podataka u javnoj upravi', 54000),(3,'Moderne tehnologije',87172),(4,'Analiza  broja studenata na ETF',987641);
UNLOCK TABLES;


DROP TABLE IF EXISTS `radnik`;

CREATE TABLE `radnik` (
  `sifrad` int(11) NOT NULL,
  `ime` varchar(45) COLLATE utf8_slovenian_ci DEFAULT NULL,
  `radmj` varchar(45) COLLATE utf8_slovenian_ci DEFAULT NULL,
  `sruk` int(11) DEFAULT NULL,
  `datzap` datetime DEFAULT NULL,
  `plata` int(11) DEFAULT NULL,
  `stimul` int(11) DEFAULT NULL,
  `sifodj` int(11) DEFAULT NULL,
  PRIMARY KEY (`sifrad`),
  KEY `fkRuk` (`sruk`),
  KEY `fkOdjel` (`sifodj`),
  CONSTRAINT `fkOdjel` FOREIGN KEY (`sifodj`) REFERENCES `odjel` (`sifodj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci;


LOCK TABLES `radnik` WRITE;
INSERT INTO `radnik` VALUES (7396,'Simić','službenik',7902,'2005-01-16 00:00:00',800,NULL,20),(7499,'Albert','prodavač',7698,'2001-04-26 00:00:00',1600,300,30),(7521,'Vasić','prodavač',7698,'2002-10-24 00:00:00',1250,500,30),(7566,'Jović','upravnik',7839,'1998-07-01 00:00:00',2975,NULL,20),(7654,'Mirić','prodavač',7698,'2001-09-13 00:00:00',1250,1400,30),(7698,'Božić','upravnik',7839,'2005-07-26 00:00:00',2850,NULL,30),(7782,'Cankar','upravnik',7839,'1994-02-09 00:00:00',2450,NULL,10),(7788,'Savić','analitičar',7566,'2008-05-04 00:00:00',3000,NULL,20),(7839,'Kesić','direktor',NULL,'1989-11-11 00:00:00',4000,NULL,10),(7844,'Trivić','prodavač',7698,'2000-12-10 00:00:00',1500,0,30),(7896,'Agić','službenik',7788,'2000-01-06 00:00:00',1100,NULL,20),(7900,'Jusić','službenik',7698,'2009-06-14 00:00:00',950,NULL,30),(7902,'Falan','analitičar',7566,'1997-04-30 00:00:00',3000,NULL,20),(7934,'Mitić','službenik',7782,'2005-01-16 00:00:00',1300,NULL,10);
UNLOCK TABLES;

ALTER TABLE radnik  ADD CONSTRAINT `fkRuk` FOREIGN KEY (`sruk`) REFERENCES `radnik` (`sifrad`);


DROP TABLE IF EXISTS `angazovanje`;

CREATE TABLE `angazovanje` (
  `sifrad` int(11) NOT NULL,
  `sifpro` int(11) NOT NULL,
  `sati` int NOT NULL,
  PRIMARY KEY (`sifrad`,`sifpro`),
  CONSTRAINT `fkRadPro1` FOREIGN KEY (`sifrad`) REFERENCES `radnik` (`sifrad`),
  CONSTRAINT `fkRadPro2` FOREIGN KEY (`sifpro`) REFERENCES `projekat` (`sifpro`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci;


LOCK TABLES `angazovanje` WRITE;
INSERT INTO `angazovanje` VALUES (7396,2,12),(7396,1,6),(7499,3,8),(7499,4,10),(7499,2,1),(7521,3,8),(7566,1,6),(7566,2,12),(7566,3,1),(7566,4,2),(7698,3,8),(7698,4,10),(7698,1,20),(7788,1,6),(7788,2,12),(7839,1,6),(7839,2,12),(7844,3,8),(7844,4,10),(7896,1,6),(7896,2,12),(7900,3,8),(7900,4,10),(7902,1,6),(7902,2,12),(7934,1,6),(7934,2,12);
UNLOCK TABLES;

